%global _hardened_build 1

%define current_version 7.0.25

Summary: Virtuozzo utilities for Compacting Virtual Disks
Name: pcompact
Version: %{current_version}
Release:        1%{?dist}
License: GPLv2
Group:  Application/System

Source: %{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: libvzctl >= 6.0.0-7, ploop-lib >= 7.0.256
BuildRequires: libvzctl >= 6.0.0-7, libvzctl-devel >= 6.0.0-7, libvzevent-devel
BuildRequires: ploop-lib >= 7.0.256, ploop-devel >= 7.0.256
BuildRequires: yajl-devel
BuildRequires: libuuid-devel
ExclusiveArch: x86_64

%description
This utility cleans up the unused disk space on expanding virtual hard disks
and cuts off the cleaned free space thus reducing the sizes of virtual hard
disk image files.

%prep
%setup -q

%build
export LDFLAGS="$RPM_LD_FLAGS"
export PRODUCT_NAME_SHORT="Virtuozzo Hybrid Server"
make \
	CFLAGS="-Wall -Wno-pointer-sign -Werror $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
export PRODUCT_NAME_SHORT="Virtuozzo Hybrid Server"
make DESTDIR=$RPM_BUILD_ROOT install
make DESTDIR=$RPM_BUILD_ROOT install-licenses

%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(755, root, root) %{_sbindir}/pcompact
%config(noreplace) %attr(644,root,root) /etc/vz/pcompact.conf
%config(noreplace) %attr(644,root,root) /etc/cron.d/pcompact
%_mandir/man8/%{name}.8*
%_mandir/man5/%{name}.conf.5*
%{_docdir}/%{name}-%{version}

%changelog
* Fri Aug 13 2021 Dmitry Mishin <dim@virtuozzo.com> 7.0.25
 - #PSBM-132275 Pcompact ignore timeout (Konstantin Bukharov
<bkb@virtuozzo.com>)

* Mon May 31 2021 Igor Sukhih <igor@virtuozzo.com> 7.0.24
 - fix compilation

* Mon May 31 2021 Igor Sukhih <igor@virtuozzo.com> 7.0.22
 - 'ploop defrag' should have parameter for threshold #PSBM-127354

* Fri Mar 19 2021 Igor Sukhih <igor@virtuozzo.com> 7.0.20
 - optimized CT compact operation in KAIO mode #PSBM-127086

* Thu Apr 23 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.19
 - Skip compact of attatched backup #PSBM-103354

* Thu Feb 27 2020 Igor Sukhih <igor@virtuozzo.com> 7.0.18
 - pcompact unable to operate with additional CT drives #PSBM-101605

* Tue Jul 16 2019 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.17
 - Comand line parameter to handle fs defaragmentation #PSBM-96172 (Igor Sukhih
<igor@virtuozzo.com>)
 - Update copyright (Igor Sukhih <igor@virtuozzo.com>)
 - Release ploop device on CT umount #PSBM-56812 (Igor Sukhih
<igor@virtuozzo.com>)

* Thu Jun 06 2019 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.16
 - Update copyright (Igor Sukhih <igor@virtuozzo.com>)
 - Release ploop device on CT umount #PSBM-56812 (Igor Sukhih
<igor@virtuozzo.com>)

* Fri May 04 2018 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.15
 - Release ploop device on CT umount #PSBM-56812 (Igor Sukhih
<igor@virtuozzo.com>)

* Fri Mar 02 2018 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.14
 - Log compact operations to syslog #PSBM-60376 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)
 - Add libuuid dependency #PSBM-60376 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Fri Mar 02 2018 Konstantin B. Bukharov <bkb@virtuozzo.com> 7.0.13
 - Log compact operations to syslog #PSBM-60376 (Pavel Vokhmyanin
<pvokhmyanin@virtuozzo.com>)

* Thu May 25 2017 Andrey Bondrov <abondrov@virtuozzo.com> 7.0.12-3
- Enable hardened build, see #PSBM-58107

* Wed Mar 15 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.11
 - Update copyrights ( #PSBM-58317 ) (Andrey Bondrov <abondrov@virtuozzo.com>)

* Fri Mar 10 2017 Konstantin Volkov <wolf@virtuozzo.com> 7.0.10
 - Move branding to separate file, see #PSBM-58317
 - Correct install stage in Makefile
 - Call make install from sources

* Tue Mar  7 2017 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.9-3
- Call make install from sources

* Wed Dec 14 2016 Konstantin Volkov <wolf@virtuozzo.com> - 7.0.9-2
- Rebuild in 7.3 environment

* Wed Jun 08 2016 Konstantin Volkov <wolf@virtuozzo.com> 7.0.9
 - Switch main source git repo to src.openvz
 - Technical rebuild, see #PSBM-47948

* Sat Mar 12 2016 Dmitry Mishin <dim@virtuozzo.com> 7.0.8
 - Style: added headers and macroses in man pages are expanded PSBM-44905

* Tue Nov 10 2015 Igor Sukhih <igor@parallels.com> 7.0.7
 - BUGFIX use ploop api to initiate image defragmentation, #PSBM-41174

* Fri Nov 06 2015 Igor Sukhih <igor@parallels.com> 7.0.5
 - pcompact: undefined symbol: ploop_free_diskdescriptor #PSBM-40967

* Tue Oct 27 2015 Igor Sukhih <igor@parallels.com> 7.0.4
 - Make description of DELTA parameter more precise #PSBM-38870 #PSBM-38871
 - pcompact doesn't free disk space #PSBM-18690

* Tue May 05 2015 Igor Sukhih <igor@parallels.com> 7.0.3
* rebuild with libvzctl2

* Fri Apr 10 2015 Daniil Guzanov <dguzanov@odin.com> 7.0.2
 - Added license text #PSBM-26806
 - deleted pcompact.spec: #PSBM-32811
 - License changed to GPLv2 #PSBM-26806

* Tue Apr 07 2015 Konstantin Volkov <wolf@parallels.com> 7.0.1
 - Adopted for vzbuild

